Package org.eclipse.birt.chart.device

# Class EmptyUpdateNotifier

java.lang.Object
org.eclipse.birt.chart.device.EmptyUpdateNotifier

All Implemented Interfaces:
  `IUpdateNotifier`

public class EmptyUpdateNotifier extends Object implements IUpdateNotifier
A convenient empty update notifier doing nothing.

## Constructor Summary

Constructors
Constructor
Description
`EmptyUpdateNotifier(Chart designModel, Chart runtimeModel)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`Chart`
`getDesignTimeModel()`
Returns an instance of the chart design-time model
`Chart`
`getRunTimeModel()`
Returns an instance of the chart run-time model for the last generated instance
`Object`
`peerInstance()`
Returns an instance of the peer (component) used for device-specific actions
`void`
`regenerateChart()`
Requests the container to regenerate the chart using the design-time model.
`void`
`repaintChart()`
Requests the container to repaint the last generated chart This should call IGenerator.render(), but not build() nor refresh().

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyUpdateNotifier

public EmptyUpdateNotifier(Chart designModel, Chart runtimeModel)
The constructor.

Parameters:
  `designModel` -
  `runtimeModel` -

## Method Details

### regenerateChart

public void regenerateChart()
Description copied from interface: `IUpdateNotifier`
Requests the container to regenerate the chart using the design-time model. It should call IGenerator.build() or refresh() and render()

Specified by:
  `regenerateChart` in interface `IUpdateNotifier`

### repaintChart

public void repaintChart()
Description copied from interface: `IUpdateNotifier`
Requests the container to repaint the last generated chart This should call IGenerator.render(), but not build() nor refresh().

Specified by:
  `repaintChart` in interface `IUpdateNotifier`

### peerInstance

public Object peerInstance()
Description copied from interface: `IUpdateNotifier`
Returns an instance of the peer (component) used for device-specific actions

Specified by:
  `peerInstance` in interface `IUpdateNotifier`
Returns:
  An instance of the peer (component) used for device-specific actions

### getDesignTimeModel

public Chart getDesignTimeModel()
Description copied from interface: `IUpdateNotifier`
Returns an instance of the chart design-time model

Specified by:
  `getDesignTimeModel` in interface `IUpdateNotifier`
Returns:
  An instance of the chart design-time model

### getRunTimeModel

public Chart getRunTimeModel()
Description copied from interface: `IUpdateNotifier`
Returns an instance of the chart run-time model for the last generated instance

Specified by:
  `getRunTimeModel` in interface `IUpdateNotifier`
Returns:
  An instance of the chart run-time model for the last generated instance